Opened 14 years ago

Closed 14 years ago

#1692 closed defect (fixed)

Incorrect EIT program schedule data

Reported by: cizek@… Owned by: danielk
Priority: minor Milestone: 0.20
Component: mythtv Version: head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

I recently upgraded from svn 9656 to 9709 and I'm getting programs scheduled at the wrong time:

From the program table:

(1091,'2006-04-16 07:00:00','2006-04-16 08:00:00','WGN News at Nine','','','','',0000,0,0,'',0,0,0,1,0,0,'',NULL,'','','','',0,0,1),
(1091,'2006-04-17 07:00:00','2006-04-17 07:40:00','WGN News at Nine','','','','',0000,0,0,'',0,0,0,1,0,0,'',NULL,'','','','',0,0,1),
(1091,'2006-04-17 22:00:00','2006-04-17 23:00:00','WGN News at Noon','','','','',0000,0,0,'',0,0,0,1,0,0,'',NULL,'','','','',0,0,1),
(1091,'2006-04-18 07:00:00','2006-04-18 08:00:00','WGN News at Nine','','','','',0000,0,0,'',0,0,0,1,0,0,'',NULL,'','','','',0,0,1),

The show "WGN News at Nine" runs at 9:00 PM, not 7:00 am. "WGN News at Noon" runs at 12:00 PM (duh), not 10:00 pm. This is in Chicago.

This appears to be coming in from EIT scanning. If there's anything else I can provide, let me know.

Attachments (2)

log.sched.errors.bz2 (30.8 KB) - added by cizek@… 14 years ago.
Backend log which added the incorrect schedule data.
eithelper.diff (558 bytes) - added by cizek@… 14 years ago.
Fixes time problem in EIT data

Download all attachments as: .zip

Change History (5)

Changed 14 years ago by cizek@…

Attachment: log.sched.errors.bz2 added

Backend log which added the incorrect schedule data.

Changed 14 years ago by cizek@…

Attachment: eithelper.diff added

Fixes time problem in EIT data

comment:1 Changed 14 years ago by cizek@…

Owner: changed from Isaac Richards to danielk
Summary: Incorrect program schedule dataIncorrect EIT program schedule data

The time conversion from UTC to local was reversed. In my case 2:00am UTC == 9:00pm CDT but was being converted to 7:00am CDT. The attached patch fixes this.

-Bill

comment:2 Changed 14 years ago by danielk

Milestone: 0.20
Status: newassigned
Version: head

Hmm. For me this patch results in the listings being one hour off..

I'll look at this more carefully today...

comment:3 Changed 14 years ago by danielk

Resolution: fixed
Status: assignedclosed

(In [9764]) Fixes #1692. Fixes the UTC->localtime conversion for ATSC + adds manual override.

The reason why cizek's patch didn't work for me was because the data I am getting OTA is incorrect. I've implemented the correct offset from cizek's patch and made it the default, and added a global EIT time offset override. The override makes things work here, but we really should have a per-source + per-channel setting if this is a common problem.

Note: See TracTickets for help on using tickets.